Page MenuHomePhabricator

Puppetize toolserver.org redirect configuration
Closed, ResolvedPublic

Description

Split it from private emailaddress and put it in a public repo so everyone can see it.

Details

Related Gerrit Patches:
operations/puppet : productionPuppetize toolserver.org legacy server

Event Timeline

Multichill assigned this task to coren.
Multichill raised the priority of this task from to Normal.
Multichill updated the task description. (Show Details)
Multichill added a subscriber: Multichill.
Krenair set Security to None.
coren moved this task from Triage to Backlog on the Toolforge board.Dec 23 2014, 7:34 PM

in the meantime where do they live now?

I was thinking it might be in a tool labs tool dedicated to just doing redirection. in which case we could add some more maintainers to help with this. But I don't see a tool in the tools.wmflabs.org directory that looks like that.

coren added a comment.Dec 29 2014, 2:55 PM

It's on a separate (non-Tools) project, for a number of reasons the primary of which is the privacy policy related (the logs the redirects generate - web and mail alike - are not sanitized of IP or referrer to allow inspection, and we have no clear idea yet were links to toolserver.org exist).

Ricordisamoa added a subscriber: Ricordisamoa.
jayvdb added a subscriber: jayvdb.Apr 8 2015, 9:13 PM
yuvipanda renamed this task from Put toolserver.org redirect configuration in git to Puppetize toolserver.org redirect configuration.Jun 8 2015, 1:37 PM
yuvipanda added a project: Labs-Sprint-101.
coren raised the priority of this task from Normal to Unbreak Now!.Jun 8 2015, 5:39 PM

Should include an smtp check as well.

coren moved this task from To Do to Doing on the Labs-Sprint-101 board.Jun 9 2015, 2:27 PM

Change 220134 had a related patch set uploaded (by coren):
Puppetize toolserver.org legacy server

https://gerrit.wikimedia.org/r/220134

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 23 2015, 2:02 PM
coren moved this task from To Do to Code Review / Blocked on the Labs-Sprint-103 board.

Change 220134 merged by coren:
Puppetize toolserver.org legacy server

https://gerrit.wikimedia.org/r/220134

coren added a comment.Jun 26 2015, 2:22 AM

This is done, for the web redirects; email config needs a bit of architecture to do right.

valhallasw lowered the priority of this task from Unbreak Now! to High.Jul 2 2015, 8:24 PM
valhallasw added a subscriber: valhallasw.

@coren This doesn't seem to be applied anywhere?

And it should be a module as well.

coren added a comment.Aug 5 2015, 1:57 PM

It was, indeed, never applied after the tests. D'oh. Fixed.

As to whether make it a module or a flat role; it was made a flat role because it was intended to be applied to exactly one instance. It could be changed, but I'm not sure what the benefit is of a single role, single purpose module?

coren closed this task as Resolved.Nov 16 2015, 6:13 PM

Making it a module, if important, really should be a separate task.

It's already a module :)